# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Time/Seconds.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Time-Piece-MySQL
Version:        0.05
Release:        alt2_17
Summary:        MySQL-specific methods for Time::Piece

Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Time-Piece-MySQL/
Source0:        http://search.cpan.org/CPAN/authors/id/K/KA/KASEI/Time-Piece-MySQL-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(Time/Piece.pm)
BuildRequires:  perl(Test/More.pm)
Requires:  perl(Time/Piece.pm) >= 1.03


Source44: import.info
%filter_from_provides /^^perl\\(Time::Piece\\)/d

%description
The Time::Piece::MySQL module can be used instead of, or in addition to,
Time::Piece to add MySQL-specific date-time methods to Time::Piece objects.


%prep
%setup -q -n Time-Piece-MySQL-%{version}

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
    sed -e '/perl(Time::Piece)/d'
EOF

%define __perl_provides %{_builddir}/Time-Piece-MySQL-%{version}/%{name}-prov
chmod +x %{__perl_provides}


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes README
%{perl_vendor_privlib}/Time/


%changelog
* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2_17
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2_15
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_15
- fc import

